> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Flash 2 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on AVR
```
#include <stdint.h>

sbit FLASH_2_WP 	    at PORTD4_bit;
sbit FLASH_2_WP_DIR 	at DDD4_bit;
sbit FLASH_2_CS 	    at PORTA5_bit;
sbit FLASH_2_CS_DIR 	at DDA5_bit;
sbit FLASH_2_HLD 	    at PORTA6_bit;
sbit FLASH_2_HLD_DIR 	at DDA6_bit;

void setup()
{
    FLASH_2_WP_DIR  = 1;
    FLASH_2_CS_DIR  = 1;
    FLASH_2_HLD_DIR = 1;


    SPI1_Init_Advanced( _SPI_MASTER, _SPI_FCY_DIV32, _SPI_CLK_LO_LEADING );
    Delay_ms(300);

    Delay_ms(300);

}

```

```
// Main function

int main(void)
{
    setup();

    flash_2_init();
    Delay_ms(300);
    
    while(1)
    {}

}
```

